SDL_ResetHint(3)

NAME
SDL_ResetHint - Reset a hint to the default value.

SYNOPSIS
#include <SDL3/SDL_hints.h>

bool SDL_ResetHint(const char *name);

DESCRIPTION
This will reset a hint to the value of the environment variable, or NULL if the environment isn't set. Callbacks will be called normally with this change.

FUNCTION PARAMETERS

name
    the hint to set.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetHint(3), SDL_ResetHints(3)